package nsdb;

public interface NucFeatureWriterOperations
	extends nsdb.NucFeatureOperations
{
	public void set(nsdb.Datestamp datestamp, java.lang.String key, java.lang.String location, nsdb.NucFeaturePackage.Qualifier[] qualifier_list) throws nsdb.InvalidKey,nsdb.LocationParse,type.IndexOutOfRange,type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public void setKey(nsdb.Datestamp datestamp, java.lang.String key) throws nsdb.InvalidKey,type.InvalidRelation,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public void setLocation(nsdb.Datestamp datestamp, java.lang.String location) throws nsdb.LocationParse,type.IndexOutOfRange,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public void setQualifiers(nsdb.Datestamp datestamp, nsdb.NucFeaturePackage.Qualifier[] qualifier_list) throws type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public void setQualifier(nsdb.Datestamp datestamp, nsdb.NucFeaturePackage.Qualifier qualifier) throws type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public void removeQualiferByName(nsdb.Datestamp datestamp, java.lang.String name) throws type.InvalidRelation,nsdb.OutOfDate,nsdb.ReadOnlyException;
	public nsdb.Datestamp getDatestamp();
}
